petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISContiguousLocal

Locates an index set with contiguous range within a global range, if possible

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISContiguousLocal(IS is,PetscInt gstart,PetscInt gend,PetscInt *start,PetscBool *contig)

Not Collective

### Input Parmeters

| is | - the index set
| gstart | - global start
| gend | - global end

### Output Parameters

| start | - start of contiguous block, as an offset from gstart
| contig | - PETSC_TRUE if the index set refers to contiguous entries on this process, else PETSC_FALSE

### See Also

ISGetLocalSize(), VecGetOwnershipRange()

### Level

developer

### Location

src/vec/is/is/interface/index.c

### Implementations

ISContiguousLocal_General in src/vec/is/is/impls/general/general.c
ISContiguousLocal_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages